Summary:	User interface library
Name:		girara
Version:	0.2.4
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://pwmt.org/projects/girara/download/%{name}-%{version}.tar.gz
# Source0-md5:	f22a75b51cf88f241096e230985f28db
URL:		http://pwmt.org/projects/girara
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gtk+3-devel >= 3.2
BuildRequires:	intltool
BuildRequires:	json-c-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
girara is a library that implements a user interface that focuses on
simplicity and minimalism. Currently based on GTK+, a cross-platform
widget toolkit, it provides an interface that focuses on three main
components: A so-called view widget that represents the actual
application (e.g. a website (browser), an image (image viewer) or the
document (document viewer)), an input bar that is used to execute
commands of the application and the status bar which provides the user
with current information. girara was designed to replace and enhance
the user interface that is used by zathura and jumanji and other
features that those applications share.

%package devel
Summary:	Header files for girara library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for girara library.

%package static
Summary:	Static girara library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static girara library.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} COLOR=0 VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%find_lang libgirara-gtk3-2

chmod +x $RPM_BUILD_ROOT%{_libdir}/libgirara-gtk3.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libgirara-gtk3-2.lang
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgirara-gtk3.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgirara-gtk3.so
%{_includedir}/girara
%{_pkgconfigdir}/girara-gtk3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgirara-gtk3.a
%changelog
* Tue Apr 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/girara.git;a=log;h=master

* Tue Apr 14 2015 Jan Palus <atler@pld-linux.org> 7174b71
- up to 0.2.4

* Fri Oct 17 2014 Jan Palus <atler@pld-linux.org> c102b1f
- up to 0.2.3
- disable colors in build (introduces unknown gcc param)

* Wed Jun 25 2014 Jan Palus <atler@pld-linux.org> 8f09583
- up to 0.2.2
- BR: libnotify-devel
- workaround for .so autodeps

* Mon Feb 17 2014 Jan Palus <jan.palus@gmail.com> 5b03099
- BR: glib2-devel

* Mon Feb 17 2014 Jan Palus <jan.palus@gmail.com> cb2a467
- up to 0.2.0

* Tue Nov 19 2013 Jan Palus <jan.palus@gmail.com> 3956046
- up to 0.1.9

* Sat Nov 09 2013 Jan Palus <jan.palus@gmail.com> c6b4977
- up to 0.1.8
- switched to gtk3 by default

* Thu Aug 15 2013 Jan Palus <jan.palus@gmail.com> 31724a1
- up to 0.1.7

* Mon May 13 2013 Jan Palus <jan.palus@gmail.com> c80a8bd
- up to 0.1.6

* Sun Feb 03 2013 Jan Palus <jan.palus@gmail.com> 6a21a79
- up to 0.1.5

* Sun Sep 30 2012 Jan Palus <jan.palus@gmail.com> 52021ec
- new

